Any compatibility issues with iOS 4.3 and Xcode 4?

I thought I'd ask before installing the latest iOS SDK.

Also curious about this.

Thanks.

I can't get seem to get the lua syntax coloring files to work! I've tried to reinstall them with no success.

This is a serious issue for me so if anybody figures this out, please let us know. Re-downloading Xcode 3 as we speak...

It's also harder to create "empty files" as you have to create a "project" first and then all your files have to go within that project.

I use Xcode 3 to program in Corona. Xcode 4 has a different format for templates and code coloring.

+1

+1

Sticking with Xcode 3 for now until a solution is found, or until an awesome Corona IDE for Mac comes our way. :)

Sticking with Xcode 3 for now until a solution is found, or until an awesome Corona IDE for Mac comes our way. :)

???

Ummm there is Corona project manager and Inded editor already out there in the wilds. One is free and the other is a paid application.

Mike R

Thanks Mike, I hadn't heard of IndeEd and just trying it now. It shows some promise as does the Corona project manager although I'm not sure if it supports syntax highlighting or auto-complete. The holy grail would be having both of those and a visual interactive debugger. :)

Alberto

I second that afonseca. I think if Corona Project Manager just had a normal autocomplete function, that would be the way to go, but as is I'm still using Xcode 3. Xcode 4 is not Corona compatible.

Well I don't use Xcode for editing, so that's not an issue for me, I just want to make sure before I upgrade to Xcode 4 that I can still build and release apps from Corona SDK.

Can anyone confirm that if I upgrade to 4 I'll still be able to build things?

views:1791 update:2011/9/30 9:15:39
corona forums © 2003-2011